Package org.apache.catalina.valves.rewrite

## Class QuotedStringTokenizer

- java.lang.Object
- - org.apache.catalina.valves.rewrite.QuotedStringTokenizer

    public class QuotedStringTokenizer
    extends java.lang.Object

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
`QuotedStringTokenizer​(java.lang.String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `countTokens()`
`boolean` `hasMoreTokens()`
`java.lang.String` `nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### QuotedStringTokenizer

    public QuotedStringTokenizer​(java.lang.String text)

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

#### nextToken

    public java.lang.String nextToken()

#### countTokens

    public int countTokens()